Imports NLog

Public Class Logger
    Inherits NLog.Logger

    <DebuggerStepThrough()>
    Public Sub NewBlock(blockId As String)
        Dim message As String = $"-----> Start of Block {blockId}"
        Dim logEventInfo As New LogEventInfo(LogLevel.Info, Name, message)
        Dim logEventDebug As New LogEventInfo(LogLevel.Debug, Name, message)
        Dim WrapperType As Type = GetType(Logger)

        Log(WrapperType, logEventDebug)
        Log(WrapperType, logEventInfo)
    End Sub

    <DebuggerStepThrough()>
    Public Sub EndBlock()
        Dim message As String = $"<----- End of Block"
        Dim logEventInfo As New LogEventInfo(LogLevel.Info, Name, message)
        Dim logEventDebug As New LogEventInfo(LogLevel.Debug, Name, message)
        Dim WrapperType As Type = GetType(Logger)

        Log(WrapperType, logEventDebug)
        Log(WrapperType, logEventInfo)
    End Sub
End Class
